#!/bin/bash

# Copiar los herramientas necesarias para la correcta ejecucion del shell
mkdir -p ${HOME}/heif-shell/bin/
cd /usr/bin

# Todos los ejecutables necesarios para montar el shell
list_binary="bash cat clear cut cygwin-console-helper date echo expr find grep head ls md5sum mkdir mv cp rm sed sleep tail tr wc pwd mintty file ldd touch nano chmod chown make heif-convert heif-enc heif-info heif-thumbnailer"

echo "* Copiando script bashbug"
cp -rfv /usr/bin/bashbug ${HOME}/heif-shell/bin/  
for binary in ${list_binary} ; do
  echo "* Copiando binario ${binary}"
  cp -rfv /usr/bin/${binary}.exe ${HOME}/heif-shell/bin/
  echo "* Buscando dependencias para ${binary}"
  ldd /usr/bin/${binary}.exe | grep "/bin/" | cut -d ">" -f 2 | cut -d "(" -f 1 | tr -s " " > /tmp/deps.txt
  file_size=$(cat /tmp/deps.txt | wc -l)
  file_scan=1
  echo "* Copiando dependencias para ${binary}"
  while [ ${file_scan} -le ${file_size} ] ; do
    library=$(cat /tmp/deps.txt | head -${file_scan} | tail -1)
    cp -rfv ${library} ${HOME}/heif-shell/bin/
    file_scan=$(expr ${file_scan} + 1)
  done
done
strip --strip-all ${HOME}/heif-shell/bin/*
cp -rfv /usr/bin/cyggcc_s-*.dll ${HOME}/heif-shell/bin/
cp -rfv /usr/bin/cygwin1.dll ${HOME}/heif-shell/bin/
cp -rfv /usr/bin/cygz.dll ${HOME}/heif-shell/bin/

# Finalmente, copiar scripts en este directorio.
